Part Box/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Puteți accesa și modifica atributele obiectului Box. De exemplu, ați putea dori să modificați parametrii de lungime, lățime și înălțime.")
(Updating to match new version of source page)
 
(22 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/ro|Name=Part Box|MenuLocation=Part → Box||Workbenches=[[Part Module|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}


{{Docnav
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand|Name=Part Box|MenuLocation=Part → Primitives → Cube||Workbenches=[[Part_Workbench|Part]], Complete|SeeAlso=[[Part_CreatePrimitives|Part CreatePrimitives]]}}
</div>

== Description ==

<div class="mw-translate-fuzzy">
==Descriere==
==Descriere==
The Box command from the [[Part_Workbench|Part Workbench]] inserts a parametric, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], geometric primitive into the active document. By default, the Box command will insert a 10x10x10 mm cube, positioned at the origin, with the label "cube". These parameters may be modified after the object has been added.
Comanda Box din Atelierul [[Part_Workbench|Part Workbench]] inserează o casetă parametrică, [http://en.wikipedia.org/wiki/Cuboid#Rectangular_cuboid rectangular cuboid], o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube".
Acești parametri pot fi modificați după adăugarea obiectului.
</div>


[[Image:Part_Box.jpg|400px|Part_Box]]
[[Image:Part_Box_Example.png|400px]]


==Cum se folosește==
== Usage ==
* Click the cube icon {{KEY|[[Image:Part Box.png|30px]]}} from the Part Workbench.
* Alternatively, you can select {{MenuCommand|Part → Primitives → Cube}} from the menu bar.


# There are several ways to invoke the command:
==Opțiuni==
#* Press the {{Button|[[Image:Part_Box.svg|16px]] [[Part_Box|Part Box]]}} button.
* Via the [[Property_editor | Property Editor]]:
#* Select the {{MenuCommand|Part → Primitives → [[Image:Part_Box.svg|16px]] Cube}} option from the menu.
** '''Length:''' Set the length distance for your Box object (default is 10 mm).
# The box is created.
** '''Width:''' Set the width distance for your Box object (default is 10 mm).
# Optionally change the dimensions and {{PropertyData|Placement}} of the box by doing one of the following:
** '''Height:''' Set the height distance for your Box object (default is 10 mm).
#* Double-click the object in the [[Tree_view|Tree view]]:
** '''Placement:''' Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
#*# The {{MenuCommand|Geometric Primitives}} task panel opens.
** '''Label:''' The Label is the name given to the operation. This name can be changed at your convenience.
#*# Change one or more properties.
#*# The object is dynamically updated in the [[3D_view|3D view]].
#*# Press the {{Button|OK}} button.
#* Change the properties in the [[Property_editor|Property editor]].
#* Change the {{PropertyData|Placement}} with the [[Image:Std_TransformManip.svg|16px]] [[Std_TransformManip|Std TransformManip]] command.


==Proprietăți==
== Example ==
{{Properties_Title|Base}}
*{{PropertyData|Placement}}: Specifies the orientation and position of the Box in the 3D space. See [[Placement | Placement]]. The reference point is the left front lower corner of the box.
*{{PropertyData|Label}}: Label given to the Box object. Change to suit your needs.


[[Image:Part_Box_Scripting_Example.png|thumb|Part Box from the scripting example]]

A Part Box object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Box can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

== Properties ==

See also: [[Property_editor|Property editor]].

A Part Box object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Box}}

<div class="mw-translate-fuzzy">
{{Properties_Title|Box}}
{{Properties_Title|Box}}
*{{PropertyData|Length}}: The length parameter is the Box's dimension in the x-direction.
*{{PropertyData|Length}}:Parametrul lungime este dimensiunea Box în direcția x.
*{{PropertyData|Width}}: The width parameter is the Box's dimension in the y-direction.
*{{PropertyData|Width}}: Parametrul lățime este dimensiunea Box în direcția y.
*{{PropertyData|Height}}: The height parameter is the Box's dimension in the z-direction.
*{{PropertyData|Height}}: Parametrul înălțime este dimensiunea Box în direcția z.
</div>


== Scripting ==
[[Image:Part_Box-Properties.jpg|Part_Box-Properties]]


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

<div class="mw-translate-fuzzy">
== Scripting ==
== Scripting ==
Comanda Box poate fi utilizat în [[macros]] și din consola python utilizând următoarea funcție:
Comanda Box poate fi utilizat în [[macros]] și din consola python utilizând următoarea funcție:
</div>

{{Code|code=
{{Code|code=
FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
}}
}}

<div class="mw-translate-fuzzy">
* Unde "myBox" este o denumire/etichetă pentru obiectul Box.
* Unde "myBox" este o denumire/etichetă pentru obiectul Box.
* Are ca rezulta obiectul nou creat de tip Box.
* Are ca rezulta obiectul nou creat de tip Box.
</div>


Example:
Puteți accesa și modifica atributele obiectului Box. De exemplu, ați putea dori să modificați parametrii de lungime, lățime și înălțime.
{{Code|code=
FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30
}}


You can change its placement with:
{{Code|code=
{{Code|code=
import FreeCAD as App
FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}
}}


==FreeCAD - Version==


{{Docnav
|
|[[Part_Cylinder|Cylinder]]
|[[Part_Workbench|Part]]
|IconL=
|IconR=Part_Cylinder.svg
|IconC=Workbench_Part.svg
}}


{{Part_Tools_navi{{#translation:}}}}
*{{Version|0.14}}
{{Userdocnavi{{#translation:}}}}
Beginning in FreeCAD version 0.14, a Part Box is referred to in the GUI elements as a Cube and the default label is "Cube".

Latest revision as of 09:01, 4 March 2022

Part Box

Menu location
Part → Primitives → Cube
Workbenches
Part, Complete
Default shortcut
None
Introduced in version
-
See also
Part CreatePrimitives

Description

Descriere

Comanda Box din Atelierul Part Workbench inserează o casetă parametrică, rectangular cuboid, o primitivă geometrică în documentul activ. Implicit, comanda Box va insera un cub de 10x10x10 mm, poziționaat în origine, cu denumirea/eticheta "cube". Acești parametri pot fi modificați după adăugarea obiectului.

Usage

  1. There are several ways to invoke the command:
    • Press the Part Box button.
    • Select the Part → Primitives → Cube option from the menu.
  2. The box is created.
  3. Optionally change the dimensions and DatePlacement of the box by doing one of the following:
    • Double-click the object in the Tree view:
      1. The Geometric Primitives task panel opens.
      2. Change one or more properties.
      3. The object is dynamically updated in the 3D view.
      4. Press the OK button.
    • Change the properties in the Property editor.
    • Change the DatePlacement with the Std TransformManip command.

Example

Part Box from the scripting example

A Part Box object created with the scripting example below is shown here.

Notes

  • A Part Box can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Properties

See also: Property editor.

A Part Box object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Box

Box

  • DateLength:Parametrul lungime este dimensiunea Box în direcția x.
  • DateWidth: Parametrul lățime este dimensiunea Box în direcția y.
  • DateHeight: Parametrul înălțime este dimensiunea Box în direcția z.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

Scripting

Comanda Box poate fi utilizat în macros și din consola python utilizând următoarea funcție:

box = FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Unde "myBox" este o denumire/etichetă pentru obiectul Box.
  • Are ca rezulta obiectul nou creat de tip Box.

Example:

import FreeCAD as App

doc = App.activeDocument()

box = doc.addObject("Part::Box", "myBox")
box.Length = 4
box.Width = 8
box.Height = 12
box.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()